org.eclipse.wst.jsdt.core.refactoring

## Class RenameTypeArguments

- java.lang.Object
- - RenameArguments
  - - org.eclipse.wst.jsdt.core.refactoring.RenameTypeArguments

    public class RenameTypeArguments
    extends RenameArguments

Rename type arguments describe the data that a rename type processor provides to its rename type participants.

This class is not intended to be subclassed by clients.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`RenameTypeArguments(java.lang.String newName, boolean updateReferences, boolean updateSimilarDeclarations, IJavaScriptElement[] similarDeclarations)` Creates new rename type arguments.

### Method Summary

All Methods Instance Methods Concrete Methods
`IJavaScriptElement[]` `getSimilarDeclarations()` Returns the similar declarations that get updated.
`boolean` `getUpdateSimilarDeclarations()` Returns whether similar declaration updating is requested or not.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RenameTypeArguments

    public RenameTypeArguments(java.lang.String newName,
                               boolean updateReferences,
                               boolean updateSimilarDeclarations,
                               IJavaScriptElement[] similarDeclarations)

Creates new rename type arguments.

Parameters:
  `newName` - the new name of the element to be renamed
  `updateReferences` - `true` if reference updating is requested; `false` otherwise
  `updateSimilarDeclarations` - `true` if similar declaration updating is requested; `false` otherwise
  `similarDeclarations` - the similar declarations that will be updated or `null` if similar declaration updating is not requested

### Method Detail

#### getUpdateSimilarDeclarations

    public boolean getUpdateSimilarDeclarations()

Returns whether similar declaration updating is requested or not.

Returns:
  returns `true` if similar declaration updating is requested; `false` otherwise

#### getSimilarDeclarations

    public IJavaScriptElement[] getSimilarDeclarations()

Returns the similar declarations that get updated. Returns `null` if similar declaration updating is not requested.

Returns:
  the similar elements that get updated

#### toString

    public java.lang.String toString()